Thu, 23 Sep 2021 19:04:47 UTC

Information for RPM eclipse-1:4.12-6.module_el8.1.0+280+b8d347df.src.rpm

ID110640
Nameeclipse
Version4.12
Release6.module_el8.1.0+280+b8d347df
Epoch1
Archsrc
SummaryAn open, extensible IDE
DescriptionThe Eclipse platform is designed for building integrated development environments (IDEs), server-side applications, desktop applications, and everything in between.
Build Time2020-02-27 01:47:13 GMT
Size204095036
1d76f698e7adc8dabc113ae1a6be0d89
LicenseEPL-2.0
Buildrootmodule-tycho-rhel8-8010020200218200743-f326fef8-build-32942-4141
Provides No Provides
Obsoletes No Obsoletes
Conflicts No Conflicts
Requires
ant >= 1.10.5
ant-antlr
ant-apache-bcel
ant-apache-bsf
ant-apache-log4j
ant-apache-oro
ant-apache-regexp
ant-apache-resolver
ant-apache-xalan2
ant-commons-logging
ant-commons-net
ant-javamail
ant-jdepend
ant-jmf
ant-jsch
ant-junit
ant-swing
ant-testutil
ant-xz
apache-commons-codec
apache-commons-el >= 1.0-22
apache-commons-jxpath
apache-commons-logging
apiguardian
atinject
batik-css >= 1.11
batik-util >= 1.11
cbi-plugins
desktop-file-utils
eclipse-ecf-core >= 3.14.5
eclipse-emf-core >= 1:2.18.0
eclipse-license2
eclipse-pde
gcc
glassfish-annotation-api
glassfish-el >= 3.0.1
glassfish-el-api >= 3.0.1
glassfish-jsp >= 2.2.5
glassfish-jsp-api >= 2.2.1-4
glassfish-servlet-api >= 3.1.0
google-gson
hamcrest
httpcomponents-client
httpcomponents-core
icu4j >= 1:64.2
jsch >= 0:0.1.46-2
jsoup
junit >= 4.12
junit5 >= 5.4.0
lucene-analysis >= 8.0.0
lucene-analyzers-smartcn >= 8.0.0
lucene-core >= 8.0.0
lucene-queryparser >= 8.0.0
make
maven-antrun-plugin
maven-assembly-plugin
maven-dependency-plugin
maven-enforcer-plugin
maven-install-plugin
maven-local
maven-shade-plugin
objectweb-asm >= 6.1.1
osgi(org.apache.felix.gogo.command) >= 1.0.2
osgi(org.apache.felix.gogo.runtime) >= 1.1.0
osgi(org.apache.felix.gogo.shell) >= 1.1.0
osgi(org.apache.felix.scr) >= 2.1.16
osgi(org.eclipse.jetty.continuation) >= 9.4.19
osgi(org.eclipse.jetty.http) >= 9.4.19
osgi(org.eclipse.jetty.io) >= 9.4.19
osgi(org.eclipse.jetty.security) >= 9.4.19
osgi(org.eclipse.jetty.server) >= 9.4.19
osgi(org.eclipse.jetty.servlet) >= 9.4.19
osgi(org.eclipse.jetty.util) >= 9.4.19
osgi(osgi.annotation)
pkgconfig(cairo)
pkgconfig(gio-2.0)
pkgconfig(gl)
pkgconfig(glib-2.0)
pkgconfig(glu)
pkgconfig(gtk+-2.0)
pkgconfig(gtk+-3.0)
pkgconfig(libsecret-1)
pkgconfig(nspr)
pkgconfig(webkit2gtk-4.0)
pkgconfig(xt)
pkgconfig(xtst)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rsync
sac
sat4j
sonatype-oss-parent
tycho
tycho-extras
unzip
xml-commons-apis
xml-maven-plugin
xmlgraphics-commons >= 2.3
xz-java
zip
Recommends No Recommends
Suggests No Suggests
Supplements No Supplements
Enhances No Enhances
Files
1 through 28 of 28
Name ascending sort Size
eclipse-adjust-droplets.patch2647
eclipse-debug-symbols.patch2953
eclipse-disable-droplets-in-dropins.patch2102
eclipse-disable-uses-constraints.patch1300
eclipse-ebz542708.patch1489
eclipse-ebz548211-2.patch5433
eclipse-ebz548211.patch5440
eclipse-feature-plugins-to-category-ius.patch22616
eclipse-fix-dropins.patch5303
eclipse-fix-tests.patch11713
eclipse-hide-droplets-from-install-wizard.patch3356
eclipse-ignore-version-when-calculating-home.patch1676
eclipse-make-droplets-runnable.patch2166
eclipse-mockito.patch18634
eclipse-no-source-for-dependencies.patch4188
eclipse-p2-pick-up-renamed-jars.patch940
eclipse-patch-out-fileupload-dep.patch5457
eclipse-pde-tp-support-droplets.patch5418
eclipse-platform-sources-4.12RC2.tar.xz203828396
eclipse-secondary-arches.patch5814
eclipse-support-symlink-bundles.patch6328
eclipse-swt-avoid-javascript-at-build.patch4309
eclipse.spec61135
explicit-hamcrest.patch1629
fix-ant-execution.patch1609
fix_ant_build.patch7405
org.eclipse.linuxtools.eclipse-build-c985e357223668b4bc1fb76ea6b9e0c12829b7e8.tar.xz157640
prefer_x11_backend.patch598
Component of No Buildroots